function y = country2(input4)

% country-2 procedure 
% computes the four equations of country 2 given
% d1, d2, d3 and teta2star - inputs to be solved for 
% beta, integralstep - globals produced by main program
% n11, n21, r1 - globals produced by country-1 procedure

global integralstep beta n11 n21 r1

d1 = input4(1);
d2 = input4(2);                      
d3 = input4(3);
teta2star = input4(4);

m = 0:integralstep:1;          % The integral variable - n2 
md1 = min(1,max(0,m-d1));
md2 = min(1,max(0,m-d2));
md3 = min(1,max(0,m-d3));
md4 = min(1,max(0,m+d1));
md5 = min(1,max(0,m+d1-d2));
md6 = min(1,max(0,m+d1-d3));
md7 = min(1,max(0,m+d2));
md8 = min(1,max(0,m+d2-d1));
md9 = min(1,max(0,m+d2-d3));
md10 = min(1,max(0,m+d3));
md11 = min(1,max(0,m+d3-d1));
md12 = min(1,max(0,m+d3-d2));

% equation for country-1 agents who ran in country 1 

r2 = R( teta2star , n11*((1-beta)/2)*m+(1-n11)*((1-beta)/2)*md1+n21*((1+beta)/2)*md2+(1-n21)*((1+beta)/2)*md3 );
r2 = max(0,r2);                                                 % r2 has no negative members 
u2stayz = u( (1+beta)*1+(1-beta)*r2 );   % run 1 and stay 2 (vector)
u2stay = mean(u2stayz);                             % Do the integral of u2 on m
u2run = u( (1+beta)*1+(1-beta)*1 );          % run 1 and run 2
r1eqn = u2stay-u2run;                                 % utility differential

% equation for country-1 agents who stayed in country 1

r2 = R( teta2star , n11*((1-beta)/2)*md4+(1-n11)*((1-beta)/2)*m+n21*((1+beta)/2)*md5+(1-n21)*((1+beta)/2)*md6 );
r2 = max(0,r2);
u2stayz = u( (1+beta)*r1+(1-beta)*r2 );   % stay 1 and stay 2 (vector)
u2stay = mean(u2stayz);                               % Do the integral of u2 on m
u2run = u( (1+beta)*r1+(1-beta)*1 );          % stay 1 and run 2
nr1eqn = u2stay-u2run;                                 % utility differential

% equation for country-2 agents who ran in country 1 ***/  

r2 = R( teta2star , n11*((1-beta)/2)*md7+(1-n11)*((1-beta)/2)*md8+n21*((1+beta)/2)*m+(1-n21)*((1+beta)/2)*md9 );
r2 = max(0,r2);
u2stayz = u( (1-beta)*1+(1+beta)*r2 );   % run 1 and stay 2 (vector)
u2stay = mean(u2stayz);                             % Do the integral of u2 on m
u2run = u( (1-beta)*1+(1+beta)*1 );          % run 1 and run 2
r2eqn = u2stay-u2run;                                 % utility differential

% equation for country-2 agents who stayed in country 1

r2 = R( teta2star , n11*((1-beta)/2)*md10+(1-n11)*((1-beta)/2)*md11+n21*((1+beta)/2)*md12+(1-n21)*((1+beta)/2)*m );
r2 = max(0,r2);
u2stayz = u( (1-beta)*r1+(1+beta)*r2 );   % stay 1 and stay 2 (vector)
u2stay = mean(u2stayz);                               % Do the integral of u2 on m
u2run = u( (1-beta)*r1+(1+beta)*1 );          % stay 1 and run 2
nr2eqn = u2stay-u2run;                                 % utility differential

y = [ r1eqn  nr1eqn  r2eqn  nr2eqn ];