function y = u(c)

global ufunction alfacara alfadara f kink sloperatio

if ufunction == 'C'
    %  CARA utility  function
    %  alfacara = absolute risk aversion coefficient.
    y = -exp(-alfacara*c);
end

if ufunction == 'D'
    %  DARA utility  function (in fact CRRA)
    %  alfadara = assymptotic relative risk aversion coefficient.
    %  f = outside riskless income of the consumer
    % we drop the division by 1-alfa which does not affect preferences
    y = -((c+f)).^(1-alfadara);           % the dot means vector operation ( automatic with +, -, * but not with ^ )
end

if ufunction == 'K'
    %  KINKED utility  function
    %  kink = wealth at kink
    %  sloperatio = slope below kink / slope above kink
    y = c - (sloperatio-1)*max(0,kink-c);
end